#!/bin/sh
#
# hwrf_rtofs_edit_restart.sh modifies a restart file 
#   to ensure variables are whithin physical range and internal velocities
#   are normalized
# 

set -x

echo "*** Started script $0"

#A Prepare environment
#A.1 set working directory
fixhycom=$FIX_HYCOM
DATA=${DATA}/edit_restart
mkdir -p ${DATA}

cd ${DATA}
$utilscript/setup.sh

#A.2 
   cp ${fixhycom}/hwrf_${RUNmodIDout}.${gridlabelout}.regional.grid.b     regional.grid.b
   cp ${fixhycom}/hwrf_${RUNmodIDout}.${gridlabelout}.regional.grid.a     regional.grid.a

   cp ${fixhycom}/hwrf_${RUNmodIDout}.${gridlabelout}.regional.depth.b     regional.depth.b
   cp ${fixhycom}/hwrf_${RUNmodIDout}.${gridlabelout}.regional.depth.a     regional.depth.a

#B Get restart input file



#B.1 setup input  files


  [ -a restart_in.a ] && rm -f restart_in.a
  ln -s $CSTREAM/OCEAN/restarts/restart_pre.a  restart_in.a

  [ -a restart_in.b ] && rm -f restart_in.b
  ln -s $CSTREAM/OCEAN/restarts/restart_pre.b  restart_in.b


#B.2 setup parameter input file


  [ -a edit_restart.in ] && rm edit_restart.in

cat > edit_restart.in <<EOF
restart_out.a
restart_in.a
empty
empty
empty
empty
21       'iexpt '   = experiment number x10  (000=from archive file)
3        'yrflag'   = days in year flag (0=360J16,1=366J16,2=366J01,3=actual)
${idm}   'idm   '   = 1st index array size
${jdm}   'jdm   '   = 2nd index array size
${kdm}   'kdm   '   = 3rd index array size
34       'thbase'   = reference density
21            'lu_vrt'   = unit to read vertical grid parameters
0             'ssh_in'   = [0|1] read|do not read  ssh parameters
0             'ctd_in'   = [0|1] read|do not read  ctd parameters
1             'dthick'   = [0|1] [intf|thick] anomaly
0.1           'den_fc'   = amplification factor for density anomaly
0.1           'tem_fc'   = amplification factor for temperature anomaly
0.95          'ext_fc'   = external mode fraction of SSH at assimilation (0.9 slow 0.5 fast rate of ssh change)
0000          'flags '   = [coded option flags:reset_eta*1000+reset_vel1*100+reset_thick*l0+reset_vel*1
2             'duster'   = [0: default NO cleaning 1: clean only 2: clean before assimilation 3:4: clean after 4: slow lower layers]
EOF

pgmout=edit_restart.out

# set additional input file
export XLFRTEOPTS="unit_vars=yes"
export XLFUNIT_21=$PARMhwrf/ofs_atl.z2layer.in

poe hpmcount $EXEChwrf/hwrf_ofs_edit_restart < edit_restart.in >> $pgmout 2> errfile

cp -p restart_out.[ab] $CSTREAM/OCEAN/restarts

msg='THE HWRF_OFS_EDIT_RESTART job  HAS ENDED NORMALLY.'
postmsg "$jlogfile" "$msg"

echo "*** Finished script $0"

