#!/bin/ksh
#
#
# Usage:
#         hwrf_rtofs_grads.sh 
#
#  Produces ctl and idx files for each grib file.
# 
# NOTE: Part of the script can be updated,
#       once HYCOM grib file has (min,max) longitude
#       and latitude, and grid spacings are specified.
#        
# ------
#  7/11/2012 Hyun-Sook Kim
#------------------------------------
set -x

echo "*** Started script $0"

#0 #### GET THE INPUT VARIABLES

##############################################################
# 1. set working directory

mkdir -p tmp
cd tmp

# cd ${COMOUT}

#CYC=00
typeset -Z2 CYC
CYC=`echo $yyyymmddhh | cut -c9-10`
#export tcid=${stormid}
#export TCID=`echo $stormid | tr '[a-z]' '[A-Z]'`
#export STORMnID=${STORM}${TCID}

# link
grb2ctl=${USHhwrf}/hwrf_grib2ctl.pl
grbmap=/apps/grads/2.0.1a/bin/gribmap

ocean_status=${COMOUT}/ocean_status.${STORM}${STORMID}.${yyyymmddhh}
. $ocean_status

# 2. create ctl file
#---------------------

xspace=0.080
yspace=0.076

prefix=hwrf_${STORM}.${stormid}.${RUNmodIDout}.t${CYC}z.f${cLEAD}
grbfile=$prefix.3d.grb

ln -sf ${COMOUT}/${grbfile} ${grbfile}
$grb2ctl -raw ${grbfile} > tmpctl

# add two lines for xdef and ydef in the ctl file
#xdefl=`echo xdef $idm linear $lonmin 0.08333`
#ydefl=`echo ydef $jdm linear $latmin 0.08333`

wholelinex=`grep xdef tmpctl | cut -c1-30`
linex=`grep xdef tmpctl | cut -c1-16`
wholeliney=`grep ydef tmpctl | cut -c1-30`
liney=`grep ydef tmpctl | cut -c1-16`
newlinex="$linex $lonmin $xspace"
newliney="$liney $latmin $yspace"

echo x $linex .... $newlinex
echo y $liney .... $newliney
sed -e "/$linex/s/$wholelinex/$newlinex/" tmpctl > tmpxxx
sed -e "/$liney/s/$wholeliney/$newliney/" tmpxxx > ${grbfile}.ctl
rm -f tmpxxx

# create index file for ctl

$grbmap -i ${grbfile}.ctl
gribmap -i ${grbfile}.ctl

# copy back
mv ${grbfile}.ctl ${COMOUT}/${grbfile}.ctl
mv ${grbfile}.idx ${COMOUT}/${grbfile}.idx


