#!/bin/ksh
#
# hwrf_rtofs_init3 - create forcing for Coupled Forecast
#

set -x

echo "*** Started script $0"

SKIPAROUND=NO
if [ $SKIPAROUND == YES ]; then
echo "dandan - staged"
exit
fi

if [[ ${CASE_ROOT} == "FORECAST" ]];
then
#       export RTOFSDIR=/com/rtofs/prod
#       export GETGES_COM=/com
        export RTOFSDIR=/gpfs/gd1/emc/marine/noscrub/Dan.Iredell/hwrfdata/rtofs
        export GETGES_COM=/marine/noscrub/input/hwrfdata
else
#wcoss testing
        export RTOFSDIR=/gpfs/gd1/emc/marine/save/Dan.Iredell/hwrfdata/rtofs
        export GETGES_COM=/marine/noscrub/Dan.Iredell/hwrfdata
fi

##############################################################

. $COMhwrf/$stormlabel.holdvars.txt
. ./hycom_settings

export pdy=$YMDH

forecast_hours=126
enddate=`${utilexec}/ndate $forecast_hours $YMDH`

  #################################################################################
  # 3. FORCING FILES
  # option - 1. update dates from template forcings (which is applicable for hurricane-ocean coupling)
  #          2. create forcing files for the coupled forecast step (6 days?)
  # adjust_river - call ofs_create_river.sh to update climatology river with USGS data.
  # adjust_temp - call ofs_correct_forcing.sh
  # adjust_wind - run parametric wind algorithm, =1 create them, =2 use them

  adjust_wind=0		# always 0 for coupled run
  interval=${interval:-3}
  adjust_river=${adjust_river:-0}
  adjust_temp=${adjust_temp:-0}
  adjust_wind=${adjust_wind:-0}
  export mode=${mode:-fcst}

  # --- flag for using template forcing files.
  usefrc=${usefrc:-0}

  if [[ $usefrc -eq 1 ]];
  then
     $USHhwrf/hycom/hwrf_rtofs_edit_gfsfrctime.sh $YMDH
     scriptrc=$?
  else
     $USHhwrf/hycom/hwrf_rtofs_get_forcing.sh $YMDH $enddate $interval $adjust_river $adjust_temp $adjust_wind
     scriptrc=$?
  fi

  mv limits limits.standalone
  export utilscript=$utilexec/../ush
  coupledsday=`$utilscript/date_normal2hycom.sh $YMDH`
  coupledend=`$utilexec/ndate $forecast_length $YMDH`
  couplededay=`$utilscript/date_normal2hycom.sh $enddate`
  echo "  $coupledsday $couplededay false false  " > limits

# tell rocoto that we are done
stid=`echo  $STID | tr '[A-Z]' '[a-z]' `
echo "hycom init done for this cycle" > "$COMhwrf/$stid.hycom_init.done"
