#!/bin/sh
#
# rtofs_3zit.sh - standalone script that creates HYCOM.[ab] binary on Z-level grid 
#
# imported variables:
#   COMIN - location of archive files
#   infile - location of .in file
#   outfile - name of output file
#   executable - name of executable
#   yyyy
#   mm
#   dd
#   cyc
#   cLEAD
#

echo "*** Started script $0"

set -x

echo " in rtofs_3zit.sh ============= "
echo "outfile=" $outfile

gridno=${gridno:-255}

# create the in file
cat > infile<<EOF
$bfile
HYCOM
$yyyy   'yyyy'   = year
$mm     'month ' = month
$dd     'day   ' = day
$cyc    'hour  ' = hour
$cLEAD  'verfhr' = verification hour
EOF

echo "infile =" $infile

cat $infile >> ./infile

# create auxilary infile for this subdomain
cat > fort.22 << EOF
$gridno
EOF

echo "========== $outfile =============" 
$executable < infile
echo

# add header for b file
head -10 ${bfile} | tail -6 > header

if [ -s fort.51 ] 
then
  procstatus=0
  mv fort.051a ${outfile}.a

  cat header fort.51 > ${outfile}.b 
  rm -rf fort.* infile header
else
  procstatus=1
fi

echo "*** Finished script $0"

#return $procstatus


