#!/bin/ksh
# selects ocean domain based upon current forecast track
# and previous domain

set -x

echo "*** Started script $0"

echo $COMhwrf/$stormlabel.holdvars.txt
. $COMhwrf/$stormlabel.holdvars.txt

case $basin2 in
  AL) Application=hat10_basin;runmodidin=rtofs_glo;;   #  north atlantic
  EP) Application=hep20_basin;runmodidin=rtofs_glo;;   #  east pacific
  WP) Application=hwp30_basin;runmodidin=rtofs_glo;;   #  west pacific
  IO) Application=hin40_basin;runmodidin=rtofs_glo;;   #  indian ocean (arabian sea, bay of bengal)
  SL) Application=hsn50_basin;runmodidin=rtofs_glo;;   #  south atlantic
  SH) Application=hsp60_basin;runmodidin=rtofs_glo;;   #  southern hemisphere
  CP) Application=hep20_basin;runmodidin=rtofs_glo;;   #  central pacific
  *)  Application=unknown;runmodidin=unknown;;         #  unknown
esac

echo Application $Application
echo runmodidin $runmodidin

while read atline
do
  application=`echo $atline | cut -d" " -f1`
  RUN_modIDin_temp=`echo $atline | cut -d" " -f2`
  if [[ $application =  $Application && $runmodidin = $RUN_modIDin_temp ]]
  then
         RUN_modIDin_real=$RUN_modIDin_temp
         RUN_modIDout=`echo $atline | cut -d" " -f3`
         gridid=`echo $atline | cut -d" " -f4`
         mod_num_procs=`echo $atline | cut -d" " -f5`
         np1=`echo $atline | cut -d" " -f6`
         np2=`echo $atline | cut -d" " -f7`
         mp1=`echo $atline | cut -d" " -f8`
         mp2=`echo $atline | cut -d" " -f9`

         gtline=`grep $gridid $PARMhwrf/hwrf_rtofs.grid_table | grep $RUN_modIDin_real`

         gridlabelin=`echo $gtline | cut -d" " -f2`
         gridlabelout=`echo $gtline | cut -d" " -f3`
         idm=`echo $gtline | cut -d" " -f5`
         jdm=`echo $gtline | cut -d" " -f6`
         kdm=`echo $gtline | cut -d" " -f7`
         kkdm=$kdm
         ic=`echo $gtline | cut -d" " -f8`
         jc=`echo $gtline | cut -d" " -f9`
         ijgrid=`echo $gtline | cut -d" " -f10`
         gridno=`echo $gtline | cut -d" " -f11`
  fi

done<$PARMhwrf/hwrf_rtofs.application_table

#cd $WORKhwrf/hycominit

echo "export idm=$idm" > hycom_settings
echo "export jdm=$jdm" >> hycom_settings
echo "export kdm=$kdm" >> hycom_settings
echo "export kkdm=$kkdm" >> hycom_settings
echo "export ic=$ic" >> hycom_settings
echo "export jc=$jc" >> hycom_settings
echo "export ijgrid=$ijgrid" >> hycom_settings
echo "export gridlabelout=$gridlabelout" >> hycom_settings
echo "export gridlabelin=$gridlabelin">> hycom_settings
echo "export RUNmodIDout=${RUN_modIDout}">> hycom_settings
echo "export RUNmodIDin=${RUN_modIDin_real}">> hycom_settings
echo "export gridno=$gridno">> hycom_settings

# and this too

#( echo contents of env ; env ) > init_dump_env
#echo hello world at $( date ) > init_file1

echo "*** Finished script $0"

